PARSEHEADERS.PY(1)

NAME
ParseHeaders.py - Parses pRESTO annotations in FASTA/FASTQ sequence headers

DESCRIPTION
usage: ParseHeaders.py [--version] [-h] ...

Parses pRESTO annotations in FASTA/FASTQ sequence headers

  help:

--version
    show program's version number and exit

-h, --help
    show this help message and exit

  subcommands:

    Annotation operation

add Adds field/value pairs to header annotations

collapse
    Collapses header annotations with multiple entries

copy
    Copies header annotation fields

delete
    Deletes fields from header annotations

expand
    Expands annotation fields with multiple values

merge
    Merge multiple annotations fields into a single field

rename
    Renames header annotation fields

table
    Writes sequence headers to a table

  output files:

    reheader-pass

    reads passing annotation operation and modified accordingly.

    reheader-fail

    raw reads failing annotation operation.

    headers

    tab delimited table of the selected annotations.

  output annotation fields:

    <user defined>

    annotation fields specified by the -f argument.

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.